<script setup lang="ts">
import { provide, reactive } from 'vue'

const state = reactive({
	openItem: undefined as string | undefined,
})

provide('accordionState', state)
</script>

<template>
	<div>
		<slot />
	</div>
</template>
